S3ADelegationTokens.TokenIssuingPolicy (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a.auth.delegation, class: S3ADelegationTokens, enum: TokenIssuingPolicy

Package org.apache.hadoop.fs.s3a.auth.delegation

# Enum Class S3ADelegationTokens.TokenIssuingPolicy

java.lang.Object
java.lang.Enum<S3ADelegationTokens.TokenIssuingPolicy>
org.apache.hadoop.fs.s3a.auth.delegation.S3ADelegationTokens.TokenIssuingPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<S3ADelegationTokens.TokenIssuingPolicy>`, `Constable`

Enclosing class:
  org.apache.hadoop.fs.s3a.auth.delegation.S3ADelegationTokens

public static enum S3ADelegationTokens.TokenIssuingPolicy extends Enum<S3ADelegationTokens.TokenIssuingPolicy>
How will tokens be issued on request? The `RequestNewToken` policy does not guarantee that a tokens can be created, only that an attempt will be made to request one. It may fail (wrong credential types, wrong role, etc).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NoTokensAvailable`
  No tokens will be issued.
  `RequestNewToken`
  An attempt will be made to request a new DT.
  `ReturnExistingToken`
  The existing token will be returned.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static S3ADelegationTokens.TokenIssuingPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static S3ADelegationTokens.TokenIssuingPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ReturnExistingToken

    public static final S3ADelegationTokens.TokenIssuingPolicy ReturnExistingToken
    The existing token will be returned.

  - ### NoTokensAvailable

    public static final S3ADelegationTokens.TokenIssuingPolicy NoTokensAvailable
    No tokens will be issued.

  - ### RequestNewToken

    public static final S3ADelegationTokens.TokenIssuingPolicy RequestNewToken
    An attempt will be made to request a new DT.

- ## Method Details

  - ### values

    public static S3ADelegationTokens.TokenIssuingPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static S3ADelegationTokens.TokenIssuingPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null